Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1416158 - Review Request: perl-Dist-Zilla-Plugins-CJM - Christopher J. Madsen's Dist::Zilla plugins
Summary: Review Request: perl-Dist-Zilla-Plugins-CJM - Christopher J. Madsen's Dist::Z...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1416059
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-24 17:52 UTC by Petr Pisar
Modified: 2017-02-07 00:53 UTC (History)
2 users (show)

Fixed In Version: perl-Dist-Zilla-Plugins-CJM-4.27-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-07 00:23:46 UTC
Type: ---
jplesnik: fedora-review+


Attachments (Terms of Use)

Description Petr Pisar 2017-01-24 17:52:37 UTC
Spec URL: https://ppisar.fedorapeople.org/perl-Dist-Zilla-Plugins-CJM/perl-Dist-Zilla-Plugins-CJM.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-Dist-Zilla-Plugins-CJM/perl-Dist-Zilla-Plugins-CJM-4.27-1.fc26.src.rpm
Description:
This is a collection of plugins Christopher J. Madsen has written for
Dist::Zilla, a Perl build an release management tool.

Fedora Account System Username: ppisar

Comment 1 Jitka Plesnikova 2017-01-26 11:04:17 UTC
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-Dist-Zilla-Plugins-CJM-4.27-1.fc26.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.24.1)
      1 perl(:VERSION) >= 5.8.0
      1 perl(CPAN::Meta::Converter) >= 2.101550
      1 perl(CPAN::Meta::Requirements) >= 2.121
      1 perl(Data::Dumper)
      1 perl(Dist::Zilla) >= 4.300009
      1 perl(Dist::Zilla::Plugin::InlineFiles)
      1 perl(Dist::Zilla::Plugin::MakeMaker) >= 4.300009
      1 perl(Dist::Zilla::Plugin::ModuleBuild)
      1 perl(Dist::Zilla::Role::BeforeRelease)
      1 perl(Dist::Zilla::Role::FilePruner)
      1 perl(Dist::Zilla::Role::MetaProvider)
      1 perl(Dist::Zilla::Role::Releaser)
      1 perl(Dist::Zilla::Role::VersionProvider)
      1 perl(File::Copy)
      1 perl(File::HomeDir) >= 0.81
      1 perl(File::Temp) >= 0.19
      1 perl(Git::Wrapper)
      1 perl(List::Util)
      1 perl(Module::Metadata)
      1 perl(Moose)
      1 perl(Moose::Role)
      1 perl(Path::Class)
      1 perl(Scalar::Util)
      1 perl(autodie)
      1 perl(namespace::autoclean)
      1 perl(version) >= 0.77
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-Dist-Zilla-Plugins-CJM-4.27-1.fc26.noarch.rpm | sort | uniq -c
      1 perl(Dist::Zilla::Plugin::ArchiveRelease) = 4.26
      1 perl(Dist::Zilla::Plugin::GitVersionCheckCJM) = 4.27
      1 perl(Dist::Zilla::Plugin::MakeMaker::Custom) = 4.26
      1 perl(Dist::Zilla::Plugin::Metadata) = 3.03
      1 perl(Dist::Zilla::Plugin::ModuleBuild::Custom) = 4.26
      1 perl(Dist::Zilla::Plugin::RecommendedPrereqs) = 4.21
      1 perl(Dist::Zilla::Plugin::Test::PrereqsFromMeta) = 4.23
      1 perl(Dist::Zilla::Plugin::VersionFromModule) = 0.08
      1 perl(Dist::Zilla::Role::HashDumper) = 4.13
      1 perl(Dist::Zilla::Role::ModuleInfo) = 4.22
      1 perl-Dist-Zilla-Plugins-CJM = 4.27-1.fc26
Binary provides are Ok.

$ rpmlint ./perl-Dist-Zilla-Plugins-CJM*
perl-Dist-Zilla-Plugins-CJM.noarch: W: spelling-error Summary(en_US) Madsen's -> Madden's, Mads en's, Mads-en's
perl-Dist-Zilla-Plugins-CJM.noarch: W: spelling-error %description -l en_US Madsen -> Madden, Madmen, Mad sen
perl-Dist-Zilla-Plugins-CJM.src: W: spelling-error Summary(en_US) Madsen's -> Madden's, Mads en's, Mads-en's
perl-Dist-Zilla-Plugins-CJM.src: W: spelling-error %description -l en_US Madsen -> Madden, Madmen, Mad sen
2 packages and 1 specfiles checked; 0 errors, 4 warnings.

Rpmlint is ok

The package looks good.
Approved.

Comment 2 Gwyn Ciesla 2017-01-26 13:59:43 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-Dist-Zilla-Plugins-CJM

Comment 3 Petr Pisar 2017-01-26 15:03:34 UTC
Thank you for the review and the repository.

Comment 4 Fedora Update System 2017-01-26 15:08:50 UTC
perl-Git-Wrapper-0.047-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c3fe9e7108

Comment 5 Fedora Update System 2017-01-26 15:39:25 UTC
perl-Git-Wrapper-0.047-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-dc00f9f341

Comment 6 Fedora Update System 2017-01-28 04:53:43 UTC
perl-Git-Wrapper-0.047-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c3fe9e7108

Comment 7 Fedora Update System 2017-02-07 00:23:46 UTC
perl-Git-Wrapper-0.047-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-02-07 00:53:21 UTC
perl-Git-Wrapper-0.047-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.